#include "computerlff.hpp"
#include "manager.hpp"
#include "player.hpp"

static PlayerCreatorCreator<ComputerLFFCreator> g;

Move ComputerLFF::askForMove(const TicTacToe& ttt)
{
   for (int row = 2; ; --row)
   {
      for (int col = 2; col >= 0; --col)
      {
         if (ttt.isFree(row, col))
         {
            return Move(row, col, getGameColor());
         }
      }
   }
}
