#ifndef COMPUTERRND_HPP
#define COMPUTERRND_HPP

#include "player.hpp"

class ComputerRnd : public Player
{
public:
   using Player::Player;

   Move askForMove(const TicTacToe&) override;

   std::string getName() const override { return GetName(); }

   static std::string GetName() { return "Computer (Zufall)"; }
};

class ComputerRndCreator : public PlayerCreator
{
public:
   std::string getPlayerName() const override { return ComputerRnd::GetName(); }

   PlayerPtr createPlayer(GameColor gc) const override { return std::make_unique<ComputerRnd>(gc); }
};

#endif
