#ifndef MANAGER_HPP
#define MANAGER_HPP

#include <memory>
#include <string>
#include <vector>
#include "gamecolor.hpp"

class Player;
using PlayerPtr = std::unique_ptr<Player>;

class PlayerCreator;
using PlayerCreatorPtr = std::unique_ptr<PlayerCreator>;

class Manager
{
public:
   static int howMuchPlayer();
   static std::string getPlayerName(int);
   static PlayerPtr createPlayer(int, GameColor);

   static inline std::vector<PlayerCreatorPtr> mCreators;
};

#endif
