#include "computerfff.hpp"
#include "manager.hpp"
#include "player.hpp"

static PlayerCreatorCreator<ComputerFFFCreator> g;

Move ComputerFFF::askForMove(const TicTacToe& ttt)
{
   for (int row = 0; ; ++row)
   {
      for (int col = 0; col < 3; ++col)
      {
         if (ttt.isFree(row, col))
         {
            return Move(row, col, getGameColor());
         }
      }
   }
}
