#ifndef COMPUTERFFF_HPP
#define COMPUTERFFF_HPP

#include "player.hpp"

class ComputerFFF : public Player
{
public:
   using Player::Player;

   Move askForMove(const TicTacToe&) override;

   std::string getName() const override { return GetName(); }

   static std::string GetName() { return "Computer (Erstes freies Feld)"; }
};

class ComputerFFFCreator : public PlayerCreator
{
public:
   std::string getPlayerName() const override { return ComputerFFF::GetName(); }

   PlayerPtr createPlayer(GameColor gc) const override { return std::make_unique<ComputerFFF>(gc); }
};

#endif
