#ifndef COMPUTERLFF_HPP
#define COMPUTERLFF_HPP

#include "player.hpp"

class ComputerLFF : public Player
{
public:
   using Player::Player;

   Move askForMove(const TicTacToe&) override;

   std::string getName() const override { return GetName(); }

   static std::string GetName() { return "Computer (Letztes freies Feld)"; }
};

class ComputerLFFCreator : public PlayerCreator
{
public:
   std::string getPlayerName() const override { return ComputerLFF::GetName(); }

   PlayerPtr createPlayer(GameColor gc) const override { return std::make_unique<ComputerLFF>(gc); }
};

#endif
