#include "computerrnd.hpp"
#include "manager.hpp"
#include "player.hpp"
#include <random>
using namespace std;

static PlayerCreatorCreator<ComputerRndCreator> g;

Move ComputerRnd::askForMove(const TicTacToe& ttt)
{
   random_device rd;                              // Random-Device-Generator erzeugen
   mt19937 engine(rd());                          // Seed Argument auslesen und nutzen
   uniform_int_distribution<> dist(0, 8);

   for (;;)
   {
      const int value = dist(engine);
      const int row = value / 3;
      const int col = value % 3;
      if (ttt.isNotFree(row, col))
      {
         continue;
      }
      return Move(row, col, getGameColor());
   }
}
