#ifndef HUMAN_HPP
#define HUMAN_HPP

#include "player.hpp"

class Human : public Player
{
public:
   using Player::Player;

   Move askForMove(const TicTacToe&) override;

   std::string getName() const override { return GetName(); }

   static std::string GetName() { return "Mensch"; }
};

class HumanCreator : public PlayerCreator
{
public:
   std::string getPlayerName() const override { return Human::GetName(); }

   PlayerPtr createPlayer(GameColor gc) const override { return std::make_unique<Human>(gc); }
};



#endif
